import json

from db import redis_client
from flask import jsonify
from flask_classful import FlaskView


class ConsumersView(FlaskView):

    def get(self):
        consumer_list = json.loads((redis_client.get("consumer_list") or b"{}").decode('utf-8'))
        return jsonify([v['ip'] for k, v in consumer_list.items()])
